Bug 982705 - Review Request: meme - Use the command line to generate memes on memegenerator.co [NEEDINFO]
Review Request: meme - Use the command line to generate memes on memegenerato...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 11:52 EDT by Allan Roque
Modified: 2015-07-21 08:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-14 13:11:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: needinfo? (allanrafaelroque)


Attachments (Terms of Use)

  None (edit)
Description Allan Roque 2013-07-09 11:52:43 EDT
Spec URL: http://aroque.fedorapeople.org/meme/meme.spec
SRPM URL: http://aroque.fedorapeople.org/meme/meme-1.0.5-1.el6.src.rpm
koji_build_results: http://aroque.fedorapeople.org/meme/koji_build_results

Description: Use the command line to generate memes on memegenerator.co 
is the system where it originated: Grok

Fedora Account System Username: aroque

More details can be obtained from:
https://pypi.python.org/pypi/meme/1.0.5 or https://github.com/katylava/memepy

This is my first package and seeking a sponsorship.
Comment 1 Douglas Schilling Landgraf 2013-07-10 14:10:49 EDT
Hello Allan,

Few comments:

- * Fri Jul 9 2013 Allan Roque <allanrafaelroque@gmail.com> - 1.0.5-1
==> Jul 9 is not Friday. ;-)

- meme.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/meme/meme.py 0644L /usr/bin/env
===> This one can be ignored. However, I would suggest you to talk with upstream people to remove the shebang since users aren't really going to execute the file directly, so why have a shebang line?

- %check
# No present in source
==> Your spec say that there are no tests but looks like the source code provides (see below). Can you please double check?

$ ls upstream-unpacked/Source0/memepy-a1e32491a9996ef881c401b9dc4e753d2f8af24b/meme/tests/
action_result.json  info.json  __init__.py  popular.json  search.json  test_meme.py

- Please make sure you increase the release for next review.

To get sponsored you need to do at least 2 informal package review [1]. 
Basically, you can pick up a random bugzilla that is requesting a package review and push your comments there (don't need to assign it) and share the links here.

To help you in this task, I can suggest:
- FedoraReview - Fedora Hosted
https://fedorahosted.org/FedoraReview/

- Package Review Guidelines
http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

- Package Review Guidelines for Java
http://fedoraproject.org/wiki/Packaging:Java

- Package Review Guidelines for Python
http://fedoraproject.org/wiki/Packaging:Python

[1] https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Please let me know if you have any question.

Thanks!
Comment 2 Allan Roque 2013-07-15 00:01:58 EDT
Hello Douglas,

New SRPM & SPEC (Adjusted)

Spec URL: http://aroque.fedorapeople.org/meme/meme.spec
SRPM URL: http://aroque.fedorapeople.org/meme/meme-1.0.5-2.fc19.src.rpm
koji_results: http://koji.fedoraproject.org/koji/taskinfo?taskID=5607361

- About %changelog
  Adjust date

- About %install 
  Adjust shebang - link - (http://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_files)

- About %check
The test directory is related to test software and not installing the rpm.

change release for this review (1.0.5-2)

thanks for the suggestions.
Comment 3 Douglas Schilling Landgraf 2014-04-08 17:52:40 EDT
Hi Allan,

- Please address my comment#1:

> - %check
> # No present in source
> ==> Your spec say that there are no tests but looks like the source code
> provides (see below). Can you please double check?

- Also update the spec with the last version of package (2.0.0 as I can see)
Comment 4 Douglas Schilling Landgraf 2014-05-14 13:11:10 EDT
No answer, closing for now as insufficient data, fell free to reopen it when you have spec/src.rpm ready.

Note You need to log in before you can comment on or make changes to this bug.